Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://api.pathors.com/v1/projects/{projectId}/test-suites/{testSuiteId}/results \ --header 'Authorization: Bearer <token>'
{ "data": [ { "id": "<string>", "testSuiteId": "<string>", "projectId": "<string>", "name": "<string>", "startedAt": "2023-11-07T05:31:56Z", "completedAt": "2023-11-07T05:31:56Z", "testCaseResults": [ { "id": "<string>", "testResultId": "<string>", "testCaseId": "<string>", "messages": [ { "id": "<string>", "testCaseResultId": "<string>", "content": "<string>", "timestamp": "2023-11-07T05:31:56Z" } ], "criteriaResults": [ { "id": "<string>", "testCaseResultId": "<string>", "criterionId": "<string>", "passed": true, "reason": "<string>" } ] } ] } ] }
Get all run results for a test suite, newest first.
Developer key created from the dashboard (Settings → Developer Keys)
The ID of your project
The test suite ID
OK
Show child attributes